Vulnerability CVE-2002-0082


Published: 2002-03-15   Modified: 2012-02-12

Description:
The dbm and shm session cache code in mod_ssl before 2.8.7-1.3.23, and Apache-SSL before 1.3.22+1.46, does not properly initialize memory using the i2d_SSL_SESSION function, which allows remote attackers to use a buffer overflow to execute arbitrary code via a large client certificate that is signed by a trusted Certificate Authority (CA), which produces a large serialized session.

Vendor: Mod ssl
Product: Mod ssl 
Version:
2.8.6
2.8.5
2.8.4
2.8.3
2.8.2
2.8.1
2.8
2.7.1
Vendor: Apache-ssl
Product: Apache-ssl 
Version:
1.46
1.45
1.44
1.42
1.41
1.40

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.5/10
6.4/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial

 References:
http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000465
http://ftp.support.compaq.com/patches/.new/html/SSRT0817.shtml
http://marc.info/?l=bugtraq&m=101518491916936&w=2
http://marc.info/?l=bugtraq&m=101528358424306&w=2
http://online.securityfocus.com/archive/1/258646
http://www.apacheweek.com/issues/02-03-01#security
http://www.calderasystems.com/support/security/advisories/CSSA-2002-011.0.txt
http://www.debian.org/security/2002/dsa-120
http://www.iss.net/security_center/static/8308.php
http://www.linux-mandrake.com/en/security/2002/MDKSA-2002-020.php
http://www.linuxsecurity.com/advisories/other_advisory-1923.html
http://www.redhat.com/support/errata/RHSA-2002-041.html
http://www.redhat.com/support/errata/RHSA-2002-042.html
http://www.redhat.com/support/errata/RHSA-2002-045.html
http://www.securityfocus.com/advisories/3965
http://www.securityfocus.com/advisories/4008
http://www.securityfocus.com/bid/4189

Copyright 2019, cxsecurity.com

 

Back to Top